Debian Bug report logs - #681755
dpkg-cross: removes files that were installed by another package

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Mon, 16 Jul 2012 08:27:01 UTC

Severity: serious

Found in versions dpkg-cross/2.5.8, dpkg-cross/2.6.6

Fixed in version dpkg-cross/2.6.7

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#681755; Package dpkg-cross. (Mon, 16 Jul 2012 08:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Mon, 16 Jul 2012 08:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-cross: removes files that were installed by another package
Date: Mon, 16 Jul 2012 10:23:29 +0200
[Message part 1 (text/plain, inline)]
Package: dpkg-cross
Version: 2.6.6
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package removes files that
were
installed by another package.

This is a serious bug violating policy 7.6, see
http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

>From the attached log (scroll to the bottom...):

0m26.8s ERROR: FAIL: After purging files have disappeared:
  /etc/dpkg-cross/	 owned by: dpkg-cross, libdebian-dpkgcross-perl
  /etc/dpkg-cross/archtable.d/	 owned by: libdebian-dpkgcross-perl
  /etc/dpkg-cross/archtable.d/archtable.default	 owned by: libdebian-dpkgcross-perl


cheers,

Andreas
[dpkg-cross_2.6.6.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#681755; Package dpkg-cross. (Mon, 16 Jul 2012 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian Embedded <debian-embedded@lists.debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Mon, 16 Jul 2012 12:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 681755@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Embedded <debian-embedded@lists.debian.org>
Cc: debian@abeckmann.de, 681755@bugs.debian.org
Subject: Re: Bug#681755: dpkg-cross: removes files that were installed by another package
Date: Mon, 16 Jul 2012 08:27:14 -0400
[Message part 1 (text/plain, inline)]
On Mon, 16 Jul 2012 10:23:29 +0200
Andreas Beckmann <debian@abeckmann.de> wrote:

> Package: dpkg-cross
> Version: 2.6.6
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: piuparts
> 
> Hi,
> 
> during a test with piuparts I noticed your package removes files that
> were
> installed by another package.
> 
> This is a serious bug violating policy 7.6, see
> http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces
> 
> >From the attached log (scroll to the bottom...):
> 
> 0m26.8s ERROR: FAIL: After purging files have disappeared:
>   /etc/dpkg-cross/	 owned by: dpkg-cross, libdebian-dpkgcross-perl
>   /etc/dpkg-cross/archtable.d/	 owned by: libdebian-dpkgcross-perl
>   /etc/dpkg-cross/archtable.d/archtable.default	 owned by: libdebian-dpkgcross-perl

It's an error in debian/postrm which needs adapting so that
libdebian-dpkgcross-perl is the only package handling /etc/dpkg-cross/

Will sort this out in ~ 1 week.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Marked as found in versions dpkg-cross/2.5.8. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 22 Jul 2012 10:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#681755; Package dpkg-cross. (Sun, 22 Jul 2012 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Sun, 22 Jul 2012 16:15:04 GMT) Full text and rfc822 format available.

Message #17 received at 681755@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 681755@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Proposed fix
Date: Sun, 22 Jul 2012 17:11:41 +0100
[Message part 1 (text/plain, inline)]
tag 681755 + pending
thanks

Proposed fix, needs a bit of testing.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[681755.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 22 Jul 2012 16:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#681755; Package dpkg-cross. (Wed, 25 Jul 2012 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 25 Jul 2012 20:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 681755@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 681755@bugs.debian.org
Subject: finalised patch
Date: Wed, 25 Jul 2012 21:15:50 +0100
[Message part 1 (text/plain, inline)]
updated patch, uploading tonight.


-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[681755.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Wed, 25 Jul 2012 20:51:17 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 25 Jul 2012 20:51:17 GMT) Full text and rfc822 format available.

Message #29 received at 681755-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 681755-close@bugs.debian.org
Subject: Bug#681755: fixed in dpkg-cross 2.6.7
Date: Wed, 25 Jul 2012 20:47:12 +0000
Source: dpkg-cross
Source-Version: 2.6.7

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681755@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 25 Jul 2012 20:50:50 +0100
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.6.7
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 681755
Changes: 
 dpkg-cross (2.6.7) unstable; urgency=low
 .
   * Confine the postrm to only removing the config files
     originally installed by dpkg-cross (Closes: #681755)
Checksums-Sha1: 
 88851c215a410f44952f9ebd927163e6fd0f32c3 1942 dpkg-cross_2.6.7.dsc
 407ae4af8aa28e2f8b2d1a71e52c0f91ecf7e8f7 75505 dpkg-cross_2.6.7.tar.gz
 05cb02d674f0d37cad8c11d74450fe542775a362 53524 dpkg-cross_2.6.7_all.deb
 fd3ba6e61c87f7910075b0e6be8d4a7da662f708 29246 libdebian-dpkgcross-perl_2.6.7_all.deb
Checksums-Sha256: 
 6039d2623464f6c2821c45ca088f6a2843cc5d9484957a1b8c79fdb5fe13cbe2 1942 dpkg-cross_2.6.7.dsc
 9908a4d094d9c3db15beafe68b2e99722efca2d8b756c8259926f64bf6d172ff 75505 dpkg-cross_2.6.7.tar.gz
 d41a212b81251e68cd2416c290a5e854bc8bf1b14bc3b5b550743438226a3d9a 53524 dpkg-cross_2.6.7_all.deb
 e8d02060bcfb4255986776fc17dbd03d2da230c402c3f52f61fb5c350827ac1b 29246 libdebian-dpkgcross-perl_2.6.7_all.deb
Files: 
 7e65ec9c9a5d4bd32bf46b9099b5f4cc 1942 utils extra dpkg-cross_2.6.7.dsc
 8afa50ab0a60451be71af610be378530 75505 utils extra dpkg-cross_2.6.7.tar.gz
 15a2ce3af2ce8f10a28df162d6bb3fc3 53524 utils extra dpkg-cross_2.6.7_all.deb
 59376549697053e0d4d4093043038d0f 29246 perl extra libdebian-dpkgcross-perl_2.6.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQEFROAAoJEPFn5DyBQ7aCMB4P/2if380OQt6jbflkXulexd/8
bdtw4wx0WFZatr48VgfmtViRuQXeLVyqYWNJl7Q24G6/P87m8cDlgVwUEOgU7xca
OjSNy5/opukBB8UJlfKc7KYLT2VqCWJ41V89skc4bM/hrcYKpbFwp7ugraE1gPsV
qVlJ0KCG3XugGH81sqIOfQkTdgvXL7UvM6hsLr4Xo/MHls5K3CT8jsp6pybsYsPs
bMv9rRHJJc8xRLcuD0lYL7oMxCQlz42kYHxZ+7xML1m9nBw07pkcg+Seqvgd+UKG
7KHsuge/yklPrDVgwcMoYXz+4fkZ0zbGUz2rZAtg3qYgQiZ3MIcWHXs6DAu0gDeK
cCj+u1yYwUh7Es5q23Lq0JjnExlH6zLQzo8XHQi9YJrdTeZRjVWoZQ7XHbDyDaDb
M3tV6iCfIgUxTSlt7I/LlXJ8aIWkXTYQSVlwYRihrAkoj913V0HsgjWDOPANAZO4
ZX9GfHPU/zuqDZAPC1ivTMvSEyQi5a52iMn4eUwkEfPGVn9IZ3IVKMSEMaQ4DjfF
7MVgIkld9Hc1sv6gXZ1AGTbgDl5VqJa70YZv7QSCP4SzUOIXYwR71QexJEnAyJaX
Jdim/D8pr99IbjUdg6sQV29Oho+pYeWKDuX5rzk7+JWHLOSto0OkiWMDWsTYvjh0
iUonJErXEbgVoieGkcBq
=GfvR
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:27:36 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:02:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:53:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.